SDL_GetCameraDriver(3)

NAME
SDL_GetCameraDriver - Use this function to get the name of a built in camera driver.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetCameraDriver(int index);

DESCRIPTION
The list of camera drivers is given in the order that they are normally initialized by default; the drivers that seem more reasonable to choose first (as far as the SDL developers believe) are earlier in the list. The names of drivers are all simple, low-ASCII identifiers, like "v4l2", "coremedia" or "android". These never have Unicode characters, and are not meant to be proper names.

FUNCTION PARAMETERS

index
    the index of the camera driver; the value ranges from 0 to SDL_GetNumCameraDrivers () - 1

RETURN VALUE
Returns the name of the camera driver at the requested index, or NULL if an invalid index was specified.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetNumCameraDrivers(3)